# Reversi: Deep Learning Coursework

This repository, part of my portfolio, showcases a Jupyter Notebook implementation of the classic game Reversi (also known as Othello) undertaken for the Deep Learning course during my studies in Applied AI at [FH-SWF](https://fh-swf.de).

## Tech Stack

- Python
- Jupyter Notebook
- PyTorch
- Dependencies listed in [pyproject.toml](https://git.horstenkamp.eu/Philipp/reversi/src/branch/main/pyproject.toml)

## Installation

1. Clone the repository: `git clone https://git.horstenkamp.eu/Philipp/reversi.git`
2. Enter the folder: `cd reversi` 
3. Install dependencies: `poetry install`

## Usage

Open the Jupyter Notebook and explore the implementation to understand the application of Deep Learning techniques in game strategy.
